---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: ConfigMap
  metadata:
    labels:
      funktion.fabric8.io/kind: Connector
      provider: fabric8
      project: connector-k8nats
      version: 1.1.53
      group: io.fabric8.funktion.connector
    name: k8nats
  data:
    deployment.yml: |
      ---
      apiVersion: extensions/v1beta1
      kind: Deployment
      metadata:
        labels:
          funktion.fabric8.io/kind: Subscription
          connector: k8nats
      spec:
        replicas: 1
        template:
          metadata:
            labels:
              funktion.fabric8.io/kind: Subscription
              connector: k8nats
          spec:
            containers:
            - image: funktion/connector-k8nats:1.1.53
              name: connector
    schema.yml: |
      ---
      component:
        kind: component
        scheme: k8nats
        syntax: k8nats:topic
        title: Nats
        description: The nats component allows you produce and consume messages from NATS.
        label: messaging
        deprecated: false
        async: false
        javaType: io.fabric8.funktion.camel.components.k8nats.K8NatsComponent
        groupId: io.fabric8.funktion.camel-k8
        artifactId: k8nats
        version: 1.0-SNAPSHOT
      componentProperties: {}
      properties:
        servers:
          kind: path
          group: common
          required: true
          type: string
          javaType: java.lang.String
          deprecated: false
          secret: false
          order: 0
        maxReconnectAttempts:
          kind: parameter
          group: common
          type: integer
          javaType: int
          deprecated: false
          secret: false
          defaultValue: "3"
          order: 1
        noRandomizeServers:
          kind: parameter
          group: common
          type: boolean
          javaType: boolean
          deprecated: false
          secret: false
          defaultValue: false
          order: 2
        pedantic:
          kind: parameter
          group: common
          type: boolean
          javaType: boolean
          deprecated: false
          secret: false
          defaultValue: false
          order: 3
        pingInterval:
          kind: parameter
          group: common
          type: integer
          javaType: int
          deprecated: false
          secret: false
          defaultValue: "4000"
          order: 4
        reconnect:
          kind: parameter
          group: common
          type: boolean
          javaType: boolean
          deprecated: false
          secret: false
          defaultValue: true
          order: 5
        reconnectTimeWait:
          kind: parameter
          group: common
          type: integer
          javaType: int
          deprecated: false
          secret: false
          defaultValue: "2000"
          order: 6
        ssl:
          kind: parameter
          group: common
          type: boolean
          javaType: boolean
          deprecated: false
          secret: false
          defaultValue: false
          order: 7
        topic:
          kind: parameter
          group: common
          required: true
          type: string
          javaType: java.lang.String
          deprecated: false
          secret: false
          order: 8
        verbose:
          kind: parameter
          group: common
          type: boolean
          javaType: boolean
          deprecated: false
          secret: false
          defaultValue: false
          order: 9
        bridgeErrorHandler:
          kind: parameter
          group: consumer
          label: consumer
          type: boolean
          javaType: boolean
          optionalPrefix: consumer.
          deprecated: false
          secret: false
          defaultValue: false
          description: Allows for bridging the consumer to the Camel routing Error Handler which mean any exceptions occurred while the consumer is trying to pickup incoming messages or the likes will now be processed as a message and handled by the routing Error Handler. By default the consumer will use the org.apache.camel.spi.ExceptionHandler to deal with exceptions that will be logged at WARN/ERROR level and ignored.
          order: 10
        maxMessages:
          kind: parameter
          group: consumer
          label: consumer
          type: string
          javaType: java.lang.String
          deprecated: false
          secret: false
          order: 11
        poolSize:
          kind: parameter
          group: consumer
          label: consumer
          type: integer
          javaType: int
          deprecated: false
          secret: false
          defaultValue: "10"
          order: 12
        queueName:
          kind: parameter
          group: consumer
          label: consumer
          type: string
          javaType: java.lang.String
          deprecated: false
          secret: false
          order: 13
        exceptionHandler:
          kind: parameter
          group: consumer (advanced)
          label: consumer,advanced
          type: object
          javaType: org.apache.camel.spi.ExceptionHandler
          optionalPrefix: consumer.
          deprecated: false
          secret: false
          description: To let the consumer use a custom ExceptionHandler. Notice if the option bridgeErrorHandler is enabled then this options is not in use. By default the consumer will deal with exceptions that will be logged at WARN/ERROR level and ignored.
          order: 14
        exchangePattern:
          kind: parameter
          group: consumer (advanced)
          label: consumer,advanced
          type: string
          javaType: org.apache.camel.ExchangePattern
          enum:
          - InOnly
          - RobustInOnly
          - InOut
          - InOptionalOut
          - OutOnly
          - RobustOutOnly
          - OutIn
          - OutOptionalIn
          deprecated: false
          secret: false
          description: Sets the exchange pattern when the consumer creates an exchange.
          order: 15
        replySubject:
          kind: parameter
          group: producer
          label: producer
          type: string
          javaType: java.lang.String
          deprecated: false
          secret: false
          order: 16
        synchronous:
          kind: parameter
          group: advanced
          label: advanced
          type: boolean
          javaType: boolean
          deprecated: false
          secret: false
          defaultValue: false
          description: Sets whether synchronous processing should be strictly used or Camel is allowed to use asynchronous processing (if supported).
          order: 17
        port:
          kind: parameter
          group: port
          label: port
          type: integer
          javaType: int
          deprecated: false
          secret: false
          defaultValue: "4222"
          order: 18
        serviceName:
          kind: parameter
          group: serviceName
          label: serviceName
          type: string
          javaType: java.lang.String
          deprecated: false
          secret: false
          defaultValue: nats
          order: 19
